#ifndef APP_H_
#define APP_H

#include "globals.h"
#include "timer.h"
#include "emitter.h"
#include "texture.h"

class App
{
public:
	App();
	~App();
	bool Init();
	void Run();
	bool Shutdown();
private:
	Emitter *emitter;
	Timer *MainTimer;
};

#endif
